## siguibui 2.6

=== debian/changelog ===
siguibui (2.6) unstable; urgency=medium

  * use current standards 3.9.6

 -- Alf Gaida <agaida@siduction.org>  Tue, 29 Sep 2015 02:26:29 +0200

siguibui (2.5) unstable; urgency=low

  * changed automount-control.sh for gnome, mate and cinnamon

 -- Angelescu Ovidiu <convbsd@siduction.org>  Fri, 05 Sep 2014 00:01:47 +0300

siguibui (2.4) unstable; urgency=low

  * merged .gitignores
  * Standards-Version: 3.9.4  
  * change to current copyright format
  * removed Homepage
  * set sourc in copyright
  * fix convbsd in copyright
  * refs #1103

 -- Alf Gaida <agaida@siduction.org>  Sat, 30 Mar 2013 14:51:17 +0100

siguibui (2.3) unstable; urgency=low

  [ J. Hamatoma ]
  * closes #1004
  * language list in the browser may have one member only

  [ Alf Gaida ]
  * rebuild closes #1008
  * rebuild closes #1009

 -- Alf Gaida <agaida@siduction.org>  Sun, 02 Dec 2012 22:47:08 +0100

siguibui (2.2) unstable; urgency=low

  [ J. Hamatoma ]
  * Page maintains itself the parts of the menu
  * parts can be handled without Page::parts
  * a menu can be displayed in plugins, not only in static pages
  * rebuild closes #1002

 -- Alf Gaida <agaida@siduction.org>  Sun, 02 Dec 2012 20:05:37 +0100

siguibui (2.1) unstable; urgency=low

  * Fix: Better behaviour on wrong URLs
  * If index.php is missed the URL will set to the static.home
  * usage of the language independent configuration file
    config/common.conf (possible, not necessary)
  * multiple virtual host addresses are possible
    (.packet.name in common.conf)
  * configuration can be assembled from more than one file
    common.conf + <vhost>_<lang>.conf
  * better support for xx-yy languages, e.g. pt-br
    (file name search)
  * closes #962


 -- J. Hamatoma <hama@siduction.net>  Wed, 07 Nov 2012 23:40:32 +0100

siguibui (2.0) unstable; urgency=low

  * Handling of static pages
  * Handling of menus
  * readHtmlTemplates() can read page independent files
  * Template definitions: removing of the last empty line in each section
  * Internal errors can be displayed independent of the design
  * Templates: new global makro: ###LANGUAGE###
  * Documentation of static pages and menus
  * Closes #954
  * Closes #959

 -- J. Hamatoma <hama@siduction.net>  Sat, 03 Nov 2012 17:25:16 +0100

siguibui (1.3.2) unstable; urgency=low

  [ J. Hamatoma ]
  * Fix: /bin/sh is not bash: "source" replaced by "."
  * rebuild closes #933

 -- J. Hamatoma <hama@siduction.net>  Thu, 01 Nov 2012 08:36:23 +0100

siguibui (1.3.1) unstable; urgency=low

  [ Alf Gaida ]
  * diesmal aber wirklich

 -- Alf Gaida <agaida@siduction.org>  Thu, 25 Oct 2012 17:27:13 +0200

siguibui (1.3) unstable; urgency=low

  [ J. Hamatoma ]
  * New: automount-control.sh: En/Disables automount unter gnome
  * New: setFieldAndUserData()
  * 2nd parameter text for replaceInContent()
  * Test helper: configurable base directory for the shellserver

  [ Alf Gaida ]
  * fixes #930

 -- Alf Gaida <agaida@siduction.org>  Tue, 23 Oct 2012 19:30:51 +0200

siguibui (1.2) unstable; urgency=low

  [ J. Hamatoma ]
  * new: Page.initializeButtonSwitchedParts()
  * Fix: timepoint of selection of $_POST or $_GET

  [ agaida]
  * rebuild closes #713

 -- Alf Gaida <agaida@siduction.org>  Sat, 19 May 2012 12:51:25 +0200

siguibui (1.1.1) unstable; urgency=low

  [ J. Hamatoma ]
  * New: getField() gets a field from GET or user data.

  [ Alf Gaida ]
  * rebuild refs #695 again

 -- Alf Gaida <agaida@siduction.org>  Sat, 12 May 2012 22:10:27 +0200

siguibui (1.1.0) unstable; urgency=low

  [ J. Hamatoma ]
  * Fix: undefined variable in readHtmlTemplates()
  * toolkit.html extended
  * build.sh: installing subdirectory images

  [ Alf Gaida ]
  * rebuild closes #695

 -- Alf Gaida <agaida@siduction.org>  Sat, 12 May 2012 13:40:39 +0200

siguibui (1.0.6) unstable; urgency=low

  * New: writeFile() and setField()

 -- J. Hamatoma <hama@siduction.net>  Sat, 05 May 2012 23:49:18 +0200

siguibui (1.0.5) unstable; urgency=low

  * page.php: indexOfSelection(): Try to read the field. If it does not exist the userdata will be used.
  * session.php i18n(): No default text is needed
  * session.php: new: roundDownToPowerOf2()

 -- J. Hamatoma <hama@siduction.net>  Tue, 24 Apr 2012 23:18:28 +0200

siguibui (1.0.4) unstable; urgency=low

  * Application builder improvements
  * Fix: creation of debian/inst
  * New dependency: php5-cgi
  * New Makro: ###URL_DYNAMIC###

 -- J. Hamatoma <hama@siduction.net>  Thu, 12 Apr 2012 23:14:08 +0200

siguibui (1.0.3) unstable; urgency=low

  * Application builder improvements
  * Design: like sidu-installer v1.0.0
  * Fix: html templage: project macro instead of a fix name
  * More files in the created .gitignore
  * git commit after generation of the project
  * creation of install, postinst, prerm, $PROJ-control
  * result of the build script is a working debian project which can install, run and deinstall
  * feature "xml formatted text" (in configuration files): Texts preceeding <xml> will be treated as XML texts.
  * Fix: Assertion for a valid refresh rate
  * Fix: page.php: null checking
  * New: page.php: Central error location: ###ERROR_MESSAGE###
  * New: page.php: Finding an index of a language dependent option list
  * New: page.php: Creation of a HTML table: buildTable()
  * New: page.php: Descriptions in the wait page may have html tags
  * session.php+page.php: i18n(): no default text is needed
  * index.php: call of wait page needs the existence of the wait message file too

 -- J. Hamatoma <hama@siduction.net>  Sat, 24 Mar 2012 08:00:17 +0100

siguibui (1.0.2) unstable; urgency=low

  * add a siguibui override fo prevent lintian complaining about
    siguibui: binary-without-manpage usr/bin/sidu-shellserver-control
  * fixes #655

 -- Alf Gaida <agaida@siduction.org>  Fri, 23 Mar 2012 10:41:40 +0100

siguibui (1.0.1) unstable; urgency=low

  * bump standards to 3.9.3
  * debhelper (>= 9)
  * bump compat to 9


