=== debian/control ===
Source: siguibui
Section: admin
Priority: optional
Maintainer: J. Hamatoma <hama@siduction.net>
Uploaders: Alf Gaida <agaida@siduction.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Vcs-git: git://git.siduction.org:code/siguibui
Vcs-Browser: http://git.siduction.org/?p=code/siguibui.git

Package: siguibui
Architecture: all
Depends: ${misc:Depends}, 
         sudo (>=1.0),
         php5-cgi (>=5.0),
         sux (>=0.1)
Description: SIduction Graphical User Interface BUIilder
 The package contains two parts: a toolkit and a shellserver.
 The toolkit is a set of php modules for building applications with a
 browser based user interface.
 The shellserver is a bash based daemon for doing things in the background.
 The shellserver is runnable. It can be extended by modules.
